%global pkgname swh-lv2
%global gitver 5098e09

Name:		lv2-swh-plugins
Version:	1.0.15
Release:	9.20150723.%{gitver}git%{?dist}
Summary:	LV2 ports of LADSPA swh plugins
License:	GPLv3
URL:		http://lv2plug.in/
# Get sources from upstream git
# wget http://github.com/swh/lv2/tarball/master
Source0:	%{pkgname}-%{gitver}.tar.gz
#Source0:	http://plugin.org.uk/lv2/%%{pkgname}-%%{version}.tar.gz

BuildRequires:	fftw-devel
BuildRequires:	gcc
BuildRequires:	libxslt
BuildRequires:	lv2-devel
Requires:	lv2

%description
This is an early experimental port of my LADSPA plugins to the LV2
specification, c.f. http://lv2plug.in/ . It's still quite early days, but most
things should work as well or not as they did in LADSPA.


%prep
%setup -q -n %{pkgname}-%{gitver}

# We are using the system header:
rm -f include/lv2.h

%build
make real-clean
make %{?_smp_mflags} \
	CFLAGS="-I%{_includedir} $RPM_OPT_FLAGS" \
	LDFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install-system INSTALL_DIR="$RPM_BUILD_ROOT%{_libdir}/lv2"



%files
%doc COPYING README
%{_libdir}/lv2/*


%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.15-9.20150723.5098e09git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.15-8.20150723.5098e09git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.15-7.20150723.5098e09git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.15-6.20150723.5098e09git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.15-5.20150723.5098e09git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.15-4.20150723.5098e09git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.15-3.20150723.5098e09git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.15-2.20150723.5098e09git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 13 2015 Brendan Jones <brendan.jones.it@gmail.com> 1.0.15-1.20150723.5098e09git
- Update to latest git

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-14.20110510.9c9935egit
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-13.20110510.9c9935egit
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-12.20110510.9c9935egit
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-11.20110510.9c9935egit
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-10.20110510.9c9935egit
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-9.20110510.9c9935egit
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 21 2012 Brendan Jones <brendan.jones.it@gmail.com> - 1.0.15-8.20110510.9c9935egit
- Rebuilt against new lv2 

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-7.20110510.9c9935egit
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue May 10 2011 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.0.15-6.20110510.9c9935egit
- Latest git, fixes license issue 
- Change license accordingly (GPLv2+ -> GPLv3)
- Drop upstreamed patces

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-5.20091118git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 18 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.0.15-4.20091118git
- Update to latest git, which was only a few bugfix commits away from latest release
- Drop upstreamed patches
- More thorough clean-up of the source tree before building

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 23 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.0.15-2
- Fix unresolved symbols

* Sun Mar 29 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.0.15-1
- Initial build
